%ifarch ppc64le
%global optflags %optflags -D__SANE_USERSPACE_TYPES__
%endif

Summary:        Shared Memory Communication Tools
Name:           smc-tools
Version:        1.8.2
Release:        3%{?dist}
License:        EPL-1.0
URL:            https://github.com/ibm-s390-linux/smc-tools
Source0:        https://github.com/ibm-s390-linux/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make gcc
BuildRequires:  libnl3-devel bash-completion


%description
The Shared Memory Communication Tools (smc-tools) package allows the use of SMC sockets in Linux.

%prep
%autosetup


%build
%make_build


%install
%make_install V=1


%files
%license LICENSE
%doc README.md
%{_bindir}/smcd
%{_bindir}/smcr
%{_bindir}/smc_dbg
%{_bindir}/smc_pnet
%{_bindir}/smc_run
%{_bindir}/smcss
%{_libdir}/libsmc-preload.so*
%{_datadir}/bash-completion/
%{_mandir}/man7/af_smc.7*
%{_mandir}/man8/smcd*.8*
%{_mandir}/man8/smcr*.8*
%{_mandir}/man8/smc_pnet.8*
%{_mandir}/man8/smc_run.8*
%{_mandir}/man8/smcss.8*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 Wang Guodong <gordonwwang@tencent.com> - 1.8.2-1
- initial build
